{ lib, config, ... }:
{
  config = lib.mkIf (config.khscodes.khs.enable && config.khscodes.desktop.enable) {
    programs.carapace = {
      enable = true;
      enableBashIntegration = true;
      enableZshIntegration = true;
      enableFishIntegration = true;
      enableNushellIntegration = true;
    };
  };
}
